#!/bin/bash

talosctl gen config \
    cluster00 https://cp00.balsillie.house:6443 \
    --with-secrets secrets.yaml \
    --config-patch @patches/talos-cluster.yml \
    --config-patch @patches/mc-all.yml \
    --config-patch @patches/mc-node00.yml \
    --output rendered/ \
    --force

mkdir -p ~/.talos
cp rendered/talosconfig ~/.talos/config

talosctl config endpoint 192.168.1.15
talosctl config node 192.168.1.15
