zone_id = "affce43bd72967adbe9ac9cc32c4532b"

dns_records = [
    { name = "@",                   type = "TXT",   content = "\"v=spf1 +a:wan.balsillie.house -all\"", ttl = 60 },
    { name = "@",                   type = "TXT",   content = "\"openpgp4fpr:2362b71cc210e435244d63dae81ed7810d966cd4\"", ttl = 60 },
    { name = "_dmarc",              type = "TXT",   content = "\"v=DMARC1; p=reject; rua=mailto:postmaster@balsillie.net; ruf=mailto:postmaster@balsillie.net; sp=reject; fo=1; aspf=s; adkim=s; ri=259200\"", ttl = 60 },
    { name = "_mta-sts",            type = "TXT",   content = "\"v=STSv1; id=1734552187\"", ttl = 60 },
    { name = "_smtp._tls",          type = "TXT",   content = "\"v=TLSRPTv1; rua=mailto:postmaster@balsillie.net\"", ttl = 60 },
    { name = "mail._domainkey",     type = "TXT",   content = "\"v=DKIM1; k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC+URc62p2hXgTgt+1NEo8tCm1SWYPXlnsO9vQdz3SqM6SUXyV/nuLzHQBriJwEnL7sXlmMvfu7JkY4wx/q4nZUVqJ6P8tV4qqRTlPYf9EOtzdPetvz24NVcI8Jh1qo06K/JXTPwGssSDnacfC6B14Q06JPC+1Kx28pOu8XLZSJpwIDAQAB\"", ttl = 60 },
    { name = "@",                   type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "account",             type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "auth",                type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "auth-admin",          type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "autoconfig",          type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "cloud",               type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "code",                type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "im",                  type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "imap",                type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "matrix",              type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "matrix-auth",         type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "matrix-federation",   type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "mta-sts",             type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "notify",              type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "office",              type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "openpgpkey",          type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "smtp",                type = "CNAME", content = "wan.balsillie.house", ttl = 60 },
    { name = "social",              type = "CNAME", content = "wan.balsillie.house", ttl = 60 }
]

mx_records = [
    { name = "@",   type = "MX",    content = "smtp.balsillie.net.", priority = 0, ttl = 60 }
]

caa_records = [
    { name = "@",   type = "CAA",   content = "0 issuewild ';'", ttl = 60 },
    { name = "@",   type = "CAA",   content = "0 issue \"letsencrypt.org\"", ttl = 60 }
]