resource "kubernetes_service" "keyoxide" {
  metadata {
    name = "keyoxide"
    namespace = "default"
    labels = {
      svc = "keyoxide"
    }
  }

  spec {
    selector = {
      app = "keyoxide"
    }

    ip_family_policy = "SingleStack"
    ip_families = ["IPv4"]

    type = "ClusterIP"
    cluster_ip = "None"
    # external_traffic_policy = "Local"

    port {
      name        = "http"
      port        = 3000
      target_port = 3000
      protocol    = "TCP"
    }
  }
}
