resource "kubernetes_persistent_volume_claim" "ssd" {
  metadata {
    name = "ssd"
    namespace = "default"
  }
  spec {
    access_modes = ["ReadWriteOnce"]
    resources {
      requests = {
        storage = "10Gi"
      }
    }
    storage_class_name = "vultr-block-storage"
  }
}