image_url					= "https://geo.mirror.pkgbuild.com/images/latest/Arch-Linux-x86_64-cloudimg.qcow2"
checksum_url				=	"https://geo.mirror.pkgbuild.com/images/latest/Arch-Linux-x86_64-cloudimg.qcow2.SHA256"

host_ssh_user				=	"michael"
host_ssh_address			=	"server.balsillie.net"
host_ssh_private_key		=	"/home/michael/.ssh/conf.d/home/michael_server_copy.key"
host_ssh_known_hosts		= "/home/michael/.ssh/known_hosts_server"

guest_hostname				=	"arch-minimal-template"
cpu_count					=	2
memory						=	2048
domain_type					=	"kvm"
arch						=	"x86_64"
chipset						=	"pc-q35-6.1"
loader_type					=	"pflash"
loader_path					=	"/usr/share/edk2-ovmf/x64/OVMF_CODE.secboot.fd"
secure_boot					=	false
nvram_template				=	"/usr/share/edk2-ovmf/x64/OVMF_VARS.fd"
nvram_path_base			    =	"/var/lib/libvirt/qemu/nvram"

volume_name					= "arch_minimal_template"
volume_pool					=	"default"
volume_capacity				= "30G"

bridge_name					= "br21"

ssh_source					=	"192.168.20.0/24"

guest_ssh_user				= "arch"
guest_ssh_port				= 22
guest_ssh_private_key		=	"/home/michael/.ssh/conf.d/home/arch@arch_template.key"
guest_ssh_public_key		=	"~/.ssh/conf.d/home/arch@arch_template.key.pub"

network_address				=	"192.168.21.200/24"
network_gateway				=	"192.168.20.254"
network_nameserver			=	"192.168.30.20"
network_domain				=	"balsillie.net"